#from enum import Enum
from marshmallow import Schema, fields, post_load




class VRPMDVMonitoringState():
    STARTED = 'started'
    STOPPED = 'stopped'

    NCREATE = 0
    NDELETE = 1

    def __init__(self, state = STOPPED):
      self.state = state

    def get(self) :
      if (self.state == self.STARTED) :
         return self.NCREATE
      else : 
         return self.NDELETE




# class VRPMDVMonitoringState(Enum):
#     off     = 1
#     created = 2
#     started = 3
#     stopped = 4
